Subject: bug#68873: closed (Re: [PATCH 1/3] gnu: linux-libre 6.7: Update to 6.7.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Feb 2024 02:09:02 +0000

Your bug report

#68873: [PATCH 0/3] linux-libre kernel updates (2024-02-01)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68873: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68873
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/3] gnu: linux-libre 6.7: Update to 6.7.3.
From: Leo Famulari <[email-masked]>
To: Wilko Meyer <[email-masked]>
Cc: [email-masked]
Date: Mon, 5 Feb 2024 21:07:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Feb 01, 2024 at 04:09:21PM +0100, Wilko Meyer wrote:
> * gnu/packages/linux.scm (linux-libre-6.7-version): Update to 6.7.3.
> (linux-libre-6.7-pristine-source): Update hash.

Thanks! Pushed as a4464bd0975c811f18af98f69032b29bddda5b81

I noticed that the documentation package for 6.6.15 failed to build with
some Sphinx error:

https://ci.guix.gnu.org/build/3393605/details

------
starting phase `build'
  PARSE   include/uapi/linux/dvb/ca.h
  PARSE   include/uapi/linux/dvb/dmx.h
  PARSE   include/uapi/linux/dvb/frontend.h
  PARSE   include/uapi/linux/dvb/net.h
  PARSE   include/uapi/linux/videodev2.h
  PARSE   include/uapi/linux/media.h
  PARSE   include/uapi/linux/cec.h
  PARSE   include/uapi/linux/lirc.h
Using alabaster theme

Sphinx parallel build error:
UnboundLocalError: local variable 'fname' referenced before assignment
make[2]: *** [Documentation/Makefile:113: texinfodocs] Error 2
make[1]: *** [/tmp/guix-build-linux-libre-documentation-6.6.15.drv-0/linux-6.6.15/Makefile:1697: infodocs] Error 2
make: *** [Makefile:234: __sub-make] Error 2
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("infodocs" "-j" "24") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `build' failed after 2.3 seconds
command "make" "infodocs" "-j" "24" failed with status 2
builder for `/gnu/store/1zh0xlpwdi05hanh9jdkxiyla1073lah-linux-libre-documentation-6.6.15.drv' failed with exit code 1
@ build-failed /gnu/store/1zh0xlpwdi05hanh9jdkxiyla1073lah-linux-libre-documentation-6.6.15.drv - 1 builder for `/gnu/store/1zh0xlpwdi05hanh9jdkxiyla1073lah-linux-libre-documentation-6.6.15.drv' failed with exit code 1
------

Hopefully it goes away in the next release.

Subject: [PATCH 0/3] linux-libre kernel updates (2024-02-01)
From: Wilko Meyer <[email-masked]>
To: [email-masked]
Cc: Wilko Meyer <[email-masked]>, [email-masked]
Date: Thu, 1 Feb 2024 16:06:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Leo,

There has been a series of kernel updates again for 6.x kernels. I may
have to send a v2 as I ye thave to check the deblob scripts again as
soon as they're available (checked a few hours ago the last time).

Wilko Meyer (3):
  gnu: linux-libre 6.7: Update to 6.7.3.
  gnu: linux-libre 6.6: Update to 6.6.15.
  gnu: linux-libre 6.1: Update to 6.1.76.

 gnu/packages/linux.scm | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

-- 
2.41.0